/***********************************************************
 * $Id: DAOException.java 338 2010-09-01 21:34:02Z util $
 * 
 * AOP Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 01.09.2010
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.aop;

/**
 * This runtime exception is thrown whenever an SQLException or a similar
 * checked exception occurs inside a DAO implementation.
 */
public class DAOException extends RuntimeException
{
    private static final long serialVersionUID = -2836474578310527808L;

    public DAOException()
    {
        super();
    }

    public DAOException(String message, Throwable cause)
    {
        super(message, cause);
    }

    public DAOException(String message)
    {
        super(message);
    }

    public DAOException(Throwable cause)
    {
        super(cause);
    }
}
