/***********************************************************
 * $Id: GenericGetAllDAO.java 418 2011-01-01 22:28:15Z util $
 * 
 * AOP Utility classes of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 2006-03-25
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.aop.generic;

import java.util.List;

/**
 * A generic interface for DAOs for objects, which need to be retrieved
 * as a list without a context information.
 */
public interface GenericGetAllDAO<T> extends GenericDAO<T>
{
	/**
	 * @return A list of all objects of type <tt>T</tt> from the DB.
	 */
	List<T> getAll();
}
